package org.seasar.doma.it.dao;

/** */
@javax.annotation.Generated(value = { "Doma", "1.36.0-SNAPSHOT" }, date = "2022-09-08T03:50:33.918+0900")
public class FunctionDaoImpl extends org.seasar.doma.internal.jdbc.dao.AbstractDao implements org.seasar.doma.it.dao.FunctionDao {

    static {
        org.seasar.doma.internal.Artifact.validateVersion("1.36.0-SNAPSHOT");
    }

    /** */
    public FunctionDaoImpl() {
        super(new org.seasar.doma.it.ItConfig());
    }

    /**
     * @param connection the connection
     */
    public FunctionDaoImpl(java.sql.Connection connection) {
        super(new org.seasar.doma.it.ItConfig(), connection);
    }

    /**
     * @param dataSource the dataSource
     */
    public FunctionDaoImpl(javax.sql.DataSource dataSource) {
        super(new org.seasar.doma.it.ItConfig(), dataSource);
    }

    /**
     * @param config the configuration
     */
    protected FunctionDaoImpl(org.seasar.doma.jdbc.Config config) {
        super(config);
    }

    /**
     * @param config the configuration
     * @param connection the connection
     */
    protected FunctionDaoImpl(org.seasar.doma.jdbc.Config config, java.sql.Connection connection) {
        super(config, connection);
    }

    /**
     * @param config the configuration
     * @param dataSource the dataSource
     */
    protected FunctionDaoImpl(org.seasar.doma.jdbc.Config config, javax.sql.DataSource dataSource) {
        super(config, dataSource);
    }

    @Override
    public java.lang.Integer func_none_param() {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_none_param");
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.lang.Integer> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.lang.Integer>();
            __query.setConfig(config);
            __query.setFunctionName("func_none_param");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.BasicResultParameter<java.lang.Integer>(new org.seasar.doma.wrapper.IntegerWrapper(), false));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_none_param");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.lang.Integer> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.lang.Integer>(__query);
            java.lang.Integer __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_none_param", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_none_param", __e);
            throw __e;
        }
    }

    @Override
    public java.lang.Integer func_simpletype_param(java.lang.Integer param1) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_simpletype_param", param1);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.lang.Integer> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.lang.Integer>();
            __query.setConfig(config);
            __query.setFunctionName("func_simpletype_param");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.BasicResultParameter<java.lang.Integer>(new org.seasar.doma.wrapper.IntegerWrapper(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(param1)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_simpletype_param");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.lang.Integer> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.lang.Integer>(__query);
            java.lang.Integer __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_simpletype_param", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_simpletype_param", __e);
            throw __e;
        }
    }

    @Override
    public java.sql.Time func_simpletype_time_param(java.sql.Time param1) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_simpletype_time_param", param1);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.sql.Time> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.sql.Time>();
            __query.setConfig(config);
            __query.setFunctionName("func_simpletype_time_param");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.BasicResultParameter<java.sql.Time>(new org.seasar.doma.wrapper.TimeWrapper(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.TimeWrapper(param1)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_simpletype_time_param");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.sql.Time> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.sql.Time>(__query);
            java.sql.Time __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_simpletype_time_param", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_simpletype_time_param", __e);
            throw __e;
        }
    }

    @Override
    public java.lang.Integer func_dto_param(java.lang.Integer param1, java.lang.Integer param2) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_dto_param", param1, param2);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.lang.Integer> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.lang.Integer>();
            __query.setConfig(config);
            __query.setFunctionName("func_dto_param");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.BasicResultParameter<java.lang.Integer>(new org.seasar.doma.wrapper.IntegerWrapper(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(param1)));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(param2)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_dto_param");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.lang.Integer> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.lang.Integer>(__query);
            java.lang.Integer __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_dto_param", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_dto_param", __e);
            throw __e;
        }
    }

    @Override
    public java.sql.Time func_dto_time_param(java.sql.Time param1, java.lang.Integer param2) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_dto_time_param", param1, param2);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.sql.Time> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.sql.Time>();
            __query.setConfig(config);
            __query.setFunctionName("func_dto_time_param");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.BasicResultParameter<java.sql.Time>(new org.seasar.doma.wrapper.TimeWrapper(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.TimeWrapper(param1)));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(param2)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_dto_time_param");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.sql.Time> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.sql.Time>(__query);
            java.sql.Time __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_dto_time_param", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_dto_time_param", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> func_resultset(java.lang.Integer employee_id) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset", employee_id);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>>();
            __query.setConfig(config);
            __query.setFunctionName("func_resultset");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.EntityListResultParameter<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(employee_id)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_resultset");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query);
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> func_resultset_check(java.lang.Integer employee_id) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_check", employee_id);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>>();
            __query.setConfig(config);
            __query.setFunctionName("func_resultset");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.EntityListResultParameter<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), true));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(employee_id)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_resultset_check");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query);
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_check", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_check", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> func_resultset_nocheck(java.lang.Integer employee_id) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_nocheck", employee_id);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>>();
            __query.setConfig(config);
            __query.setFunctionName("func_resultset");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.EntityListResultParameter<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(employee_id)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_resultset_nocheck");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query);
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_nocheck", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_nocheck", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<java.util.Map<java.lang.String, java.lang.Object>> func_resultset_map(java.lang.Integer employee_id) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_map", employee_id);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<java.util.Map<java.lang.String, java.lang.Object>>> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<java.util.Map<java.lang.String, java.lang.Object>>>();
            __query.setConfig(config);
            __query.setFunctionName("func_resultset");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.MapListResultParameter(org.seasar.doma.MapKeyNamingType.CAMEL_CASE));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(employee_id)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_resultset_map");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<java.util.Map<java.lang.String, java.lang.Object>>> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<java.util.Map<java.lang.String, java.lang.Object>>>(__query);
            java.util.List<java.util.Map<java.lang.String, java.lang.Object>> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_map", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_map", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> func_resultset_update(java.lang.Integer employee_id) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_update", employee_id);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>>();
            __query.setConfig(config);
            __query.setFunctionName("func_resultset_update");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.EntityListResultParameter<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(employee_id)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_resultset_update");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query);
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_update", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_update", __e);
            throw __e;
        }
    }

    @Override
    public java.util.List<org.seasar.doma.it.entity.Employee> func_resultset_update2(java.lang.Integer employee_id) {
        entering("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_update2", employee_id);
        try {
            org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>> __query = new org.seasar.doma.internal.jdbc.query.AutoFunctionQuery<java.util.List<org.seasar.doma.it.entity.Employee>>();
            __query.setConfig(config);
            __query.setFunctionName("func_resultset_update2");
            __query.setResultParameter(new org.seasar.doma.internal.jdbc.sql.EntityListResultParameter<org.seasar.doma.it.entity.Employee>(org.seasar.doma.it.entity._Employee.getSingletonInternal(), false));
            __query.addParameter(new org.seasar.doma.internal.jdbc.sql.BasicInParameter(new org.seasar.doma.wrapper.IntegerWrapper(employee_id)));
            __query.setCallerClassName("org.seasar.doma.it.dao.FunctionDaoImpl");
            __query.setCallerMethodName("func_resultset_update2");
            __query.setQueryTimeout(-1);
            __query.prepare();
            org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>> __command = new org.seasar.doma.internal.jdbc.command.FunctionCommand<java.util.List<org.seasar.doma.it.entity.Employee>>(__query);
            java.util.List<org.seasar.doma.it.entity.Employee> __result = __command.execute();
            __query.complete();
            exiting("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_update2", __result);
            return __result;
        } catch (java.lang.RuntimeException __e) {
            throwing("org.seasar.doma.it.dao.FunctionDaoImpl", "func_resultset_update2", __e);
            throw __e;
        }
    }

}
